Bug 232616 - Review Request: perl-Proc-ProcessTable - Perl extension to access the unix process table
Review Request: perl-Proc-ProcessTable - Perl extension to access the unix pr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-16 09:22 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 06:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2007-03-16 09:22:16 EDT
Spec URL: http://home.bawue.de/~ixs/perl-Proc-ProcessTable/perl-Proc-ProcessTable.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Proc-ProcessTable/perl-Proc-ProcessTable-0.41-1.src.rpm
Description:
Perl interface to the unix process table.
Comment 1 Parag AN(पराग) 2007-03-21 01:58:47 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3a21e54f864733331e714df6d1fcbb0f  Proc-ProcessTable-0.41.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: ProcessTable.so perl(Proc::Killall) perl(Proc::Killfam)
perl(Proc::ProcessTable) = 0.41 perl(Proc::ProcessTable::Process) = 0.02
Comment 2 Andreas Thienemann 2007-03-22 05:41:44 EDT
New Package CVS Request
=======================
Package Name: perl-Proc-ProcessTable
Short Description: Perl extension to access the unix process table
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Andreas Thienemann 2007-03-23 06:21:18 EDT
Thanks for the review. Built for 5, 6 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.